import 'package:flutter/material.dart';
import 'package:flutter/services.dart';

class InputWidget extends StatefulWidget {
  final double topRight;
  final double bottomRight;
  final String hint;
  final TextEditingController _textController = new TextEditingController();

  get text {
    return _textController?.text;
  }

  InputWidget(this.topRight, this.bottomRight,
      {this.hint = '+98 012 345 6789'});

  @override
  _InputWidgetState createState() => _InputWidgetState(_textController);
}

class _InputWidgetState extends State<InputWidget> {
  final TextEditingController _textController;

  _InputWidgetState(this._textController);

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: EdgeInsets.only(right: 40, bottom: 30),
      child: Container(
        width: MediaQuery.of(context).size.width - 40,
        child: Material(
          elevation: 10,
          color: Colors.white,
          shape: RoundedRectangleBorder(
            borderRadius: BorderRadius.only(
              bottomRight: Radius.circular(widget.bottomRight),
              topRight: Radius.circular(widget.topRight),
            ),
          ),
          child: Padding(
            padding: EdgeInsets.only(left: 40, right: 20, top: 10, bottom: 10),
            child: TextField(
              textInputAction: TextInputAction.done,
              autocorrect: false,
              controller: _textController,
              keyboardType: TextInputType.phone,
              inputFormatters: <TextInputFormatter>[
                WhitelistingTextInputFormatter.digitsOnly,
              ],
              decoration: InputDecoration(
                  border: InputBorder.none,
                  hintText: widget.hint,
                  hintStyle: TextStyle(color: Color(0xFFE1E1E1), fontSize: 14)),
            ),
          ),
        ),
      ),
    );
  }

  @override
  void dispose() {
    _textController.dispose();
    super.dispose();
  }
}
